<?php

// المسار إلى مجلد "users"
$usersFolder = __DIR__ . '/users';

// مصفوفة لتخزين بيانات المستخدمين
$usersData = array();

// فتح المجلد "users"
if ($handle = opendir($usersFolder)) {
    // قراءة الملفات والمجلدات في المجلد "users"
    while (false !== ($entry = readdir($handle))) {
        if ($entry != "." && $entry != ".." && is_dir($usersFolder . '/' . $entry)) {

            // مسار الملف "user.json" في كل مجلد
            $jsonFilePath = $usersFolder . '/' . $entry . '/user.json';

            // التحقق مما إذا كان الملف موجودًا
            if (file_exists($jsonFilePath)) {
                // قراءة محتوى ملف "user.json"
                $jsonData = file_get_contents($jsonFilePath);
                $userDetails = json_decode($jsonData, true);

                // إضافة بيانات المستخدم إلى المصفوفة
                $usersData['users'][] = array(
                    "phone_number" => $entry,
                    "user_info" => array(
                        "phone_number" => isset($userDetails["phone_number"]) ? $userDetails["phone_number"] : "phone_number",
                        "user_name" => isset($userDetails["user_name"]) ? $userDetails["user_name"] : "user_name",
                        "full_name" => isset($userDetails["full_name"]) ? $userDetails["full_name"] : "full_name",
                        "profile_image" => isset($userDetails["profile_image"]) ? $userDetails["profile_image"] : "",
                        "bio" => isset($userDetails["bio"]) ? $userDetails["bio"] : "bio",
                        "whatsapp" => isset($userDetails["whatsapp"]) ? $userDetails["whatsapp"] : "whatsapp",

                        "mall_url" => isset($userDetails["mall_url"]) ? $userDetails["mall_url"] : "mall_url"




                    )
                );
            }
        }
    }
    closedir($handle);

    // تحويل المصفوفة إلى JSON مع دعم اللغة العربية
    $usersJson = json_encode($usersData, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);

    // حفظ المصفوفة كملف JSON جديد
    file_put_contents('users-json/all_users.json', $usersJson);

    echo 'تم إنشاء وحفظ الملف بنجاح.';
} else {
    echo 'فشل في فتح المجلد.';
}
