<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <style>
        body {
            background: rgba(0, 0, 0, 0.9);
            margin: 0;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .showcase::after {
            content: '';
            height: 100vh;
            width: 100%;
            background-image: url(../../users/0796924572/profile_image/image_6567ec88ac0ae.jpg);
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
            display: block;
            filter: blur(10px);
            -webkit-filter: blur(10px);
            transition: all 1000ms;
        }

        .showcase:hover::after {
            filter: blur(0px);
            -webkit-filter: blur(0px);
        }

        .showcase:hover .content {
            filter: blur(2px);
            -webkit-filter: blur(2px);
        }

        .content {
            position: absolute;
            z-index: 1;
            top: 10%;
            left: 50%;
            margin-top: 105px;
            margin-left: -145px;
            width: 300px;
            height: 350px;
            text-align: center;
            transition: all 1000ms;
        }

        .content .logo {
            height: 180px;
            width: 180px;
        }

        .content .title {
            font-size: 2.2rem;
            margin-top: 1rem;
        }

        .content .text {
            line-height: 1.7;
            margin-top: 1rem;
        }

        .container {
            max-width: 960px;
            margin: auto;
            overflow: hidden;
            padding: 4rem 1rem;
        }

        .grid-3 {
            display: grid;
            grid-gap: 20px;
            grid-template-columns: repeat(3, 1fr);
        }

        .grid-2 {
            display: grid;
            grid-gap: 20px;
            grid-template-columns: repeat(2, 1fr);
        }

        .center {
            text-align: center;
            margin: auto;
        }

        .bg-light {
            background: #f4f4f4;
            color: #333;
        }

        .bg-dark {
            background: #333;
            color: #f4f4f4;
        }

        footer {
            padding: 2.2rem;
        }

        footer p {
            margin: 0;
        }

        /* Small Screens */
        @media (max-width: 560px) {
            .showcase::after {
                height: 50vh;
            }

            .content {
                top: 5%;
                margin-top: 5px;
            }

            .content .logo {
                height: 140px;
                width: 140px;
            }

            .content .text {
                display: none;
            }

            .grid-3,
            .grid-2 {
                grid-template-columns: 1fr;
            }

            .services div {
                border-bottom: #333 dashed 1px;
                padding: 1.2rem 1rem;
            }
        }

        /* Landscape */
        @media (max-height: 500px) {

            .content .title,
            .content .text {
                display: none;
            }

            .content {
                top: 0;
            }
        }
    </style>
</head>

<body>

    <header class="showcase">
        <div class="content">
            <img src="https://image.ibb.co/ims4Ep/logo.png" class="logo" alt="Traversy Media">
            <div class="title">
                إسلام فوق تفاصيل
            </div>
            <div class="text">
                اللهم اغفرلي ذنبي واجعل القرأن ربيع قلبي ونور صدري يااااااااارب
            </div>
        </div>
    </header>

    <!-- Services -->
    <section class="services">
        <div class="container grid-3 center">
            <div>
                <i class="fab fa-youtube fa-3x"></i>
                <h3>YouTube</h3>
                <p>Lo اللهم اغفرلي ذنبي واجعل القرأن ربيع قلبي ونور صدري ياااااااااربis!</p>
            </div>
            <div>
                <i class="fas fa-chalkboard-teacher fa-3x"></i>
                <h3>Courses</h3>
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil, reiciendis!</p>
            </div>
            <div>
                <i class="fas fa-briefcase fa-3x"></i>
                <h3>Freelancing Projects</h3>
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil, reiciendis!</p>
            </div>
        </div>
    </section>

    <!-- Services -->
    <section class="services">
        <div class="container grid-3 center">
            <div>
                <i class="fab fa-youtube fa-3x"></i>
                <h3>YouTube</h3>
            </div>
            <div>
                <i class="fas fa-chalkboard-teacher fa-3x"></i>
                <h3>Courses</h3>
            </div>
            <div>
                <i class="fas fa-briefcase fa-3x"></i>
                <h3>Freelancing Projects</h3>
            </div>
            <!-- إضافة المزيد من العناصر -->
            <div>
                <i class="fas fa-code fa-3x"></i>
                <h3>Programming</h3>
            </div>
            <div>
                <i class="fas fa-paint-brush fa-3x"></i>
                <h3>Design</h3>
            </div>
            <!-- يمكنك إضافة المزيد حسب الحاجة -->
        </div>
    </section>


    <!-- About -->
    <section class="about bg-light">
        <div class="container">
            <div class="grid-2">
                <div class="center">
                    <i class="fas fa-laptop-code fa-10x"></i>
                </div>
                <div>
                    <h3>About Us</h3>
                    <p>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Non eos aperiam labore consectetur maiores ea
                        magni exercitationem similique laborum sed, unde, autem vel iure doloribus aliquid. Aspernatur explicabo
                        consectetur consequatur non nesciunt debitis quos alias soluta, ratione, ipsa officia reiciendis.</p>
                </div>
            </div>
        </div>
    </section>

    <footer class="center bg-dark">
        <p>Traversy Media &copy; 2018</p>
    </footer>

</body>

</html>