<?php
session_start();
?>


<?php
// session_start();

// التحقق من حالة تسجيل الدخول
if (!isset($_SESSION['phone_number'])) {
  // إذا لم يتم تسجيل الدخول، قم بتوجيه المستخدم إلى صفحة تسجيل الدخول
  header("Location: ../signin");
  exit();
}

// دالة تستقبل رقم هاتف كوسيلة للبحث عن بيانات المستخدم
function get_user_data($phone_number)
{
  // تكوين مسار المجلد الخاص بمستخدم باستخدام رقم الهاتف
  $user_folder = '../users/' . $phone_number;

  // تكوين مسار ملف بيانات المستخدم باستخدام رقم الهاتف
  $user_file_path = $user_folder . '/user.json';

  // التحقق مما إذا كان الملف موجودًا في المسار المحدد
  if (file_exists($user_file_path)) {

    // إذا كان الملف موجودًا، قراءة محتوياته (البيانات) باستخدام دالة json_decode
    // وتحويل البيانات من صيغة JSON إلى صيغة مصفوفة (array) باستخدام البارامتر الثاني المحدد بقيمة true
    return json_decode(file_get_contents($user_file_path), true);
  }

  // إذا لم يكن الملف موجودًا، فإن الدالة ستعيد قيمة "null"
  return null;
}


// التحقق من أن المستخدم قام بتسجيل الدخول
if (!isset($_SESSION['phone_number'])) {
  header("Location: login.php");
  exit();
}

$phone_number = $_SESSION['phone_number'];
$user_data = get_user_data($phone_number);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  // إذا قام المستخدم بتحميل صورة جديدة
  if (isset($_FILES['profile_image']) && $_FILES['profile_image']['error'] === UPLOAD_ERR_OK) {
    // حذف الصورة القديمة إذا كانت موجودة
    if (!empty($user_data['profile_image'])) {
      $old_image_path = '../users/' . $phone_number . '/profile_image/' . $user_data['profile_image'];
      if (file_exists($old_image_path)) {
        unlink($old_image_path);
      }
    }

    // حفظ الصورة الجديدة
    $upload_dir = '../users/' . $phone_number . '/profile_image/';
    $file_name = uniqid('image_') . '.' . pathinfo($_FILES['profile_image']['name'], PATHINFO_EXTENSION);
    $file_tmp = $_FILES['profile_image']['tmp_name'];
    move_uploaded_file($file_tmp, $upload_dir . $file_name);


    // تحديث مسار الصورة في بيانات المستخدم
    $user_data['profile_image'] = $file_name;
    $user_data_json = json_encode($user_data);
    file_put_contents('../users/' . $phone_number . '/user.json', $user_data_json);
  }


  // تحديث باقي المعلومات 



  // $user_data['user_name'] = $_POST['user_name'];
  $user_data['facebook'] = $_POST['facebook'];
  $user_data['websit'] = $_POST['websit'];
  $user_data['map'] = $_POST['map'];
  $user_data['whatsapp'] = $_POST['whatsapp'];
  $user_data['tiktok'] = $_POST['tiktok'];
  $user_data['sms'] = $_POST['sms'];
  $user_data['snapchat'] = $_POST['snapchat'];
  $user_data['twitter'] = $_POST['twitter'];
  $user_data['youtube'] = $_POST['youtube'];
  $user_data['instagram'] = $_POST['instagram'];
  $user_data['opensooq'] = $_POST['opensooq'];
  $user_data['LinkedIn'] = $_POST['LinkedIn'];
  $user_data['Messenger'] = $_POST['Messenger'];
  $user_data['Telegram'] = $_POST['Telegram'];
  $user_data['title_page'] = $_POST['title_page'];
  $user_data['keywords_page'] = $_POST['keywords_page'];
  $user_data['description_page'] = $_POST['description_page'];
  $user_data['full_name'] = $_POST['full_name'];
  $user_data['activate_number'] = $_POST['activate_number'];
  // $user_data['times_show'] = $_POST['times_show'];
  // $user_data['views'] = $_POST['views'];
  // $user_data['Total_publications'] = $_POST['Total_publications'];
  $user_data['Report_abuse'] = $_POST['Report_abuse'];
  $user_data['bio'] = $_POST['bio'];



  // activate_number


  // تحويل المصفوفة إلى JSON بتنسيق سهل القراءة ودعم اللغة العربية
  $user_data_json = json_encode($user_data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  // حفظ المعلومات المحدثة في ملف JSON
  file_put_contents('../users/' . $phone_number . '/user.json', $user_data_json);

  // بعد تحديث الصفحة، قم بتوجيه المستخدم إلى صفحة البروفايل مرة أخرى باستخدام تقنية Redirect
  header("Location: index.php");
  exit();
}


?>
















<!-- all_users.json -->


<?php
// profile.php

// تحديد مسار ملف الجسون
$jsonFilePath = '../users-json/all_users.json';

// جلب بيانات المستخدم المسجل حاليًا
if (isset($_SESSION['phone_number'])) {
  $loggedInPhoneNumber = $_SESSION['phone_number'];

  // قراءة محتوى ملف الجسون
  $jsonContent = file_get_contents($jsonFilePath);
  $data = json_decode($jsonContent, true);

  // البحث عن المستخدم باستخدام رقم الهاتف
  $userData = null;
  foreach ($data['users'] as $user) {
    if ($user['phone_number'] === $loggedInPhoneNumber) {
      $userData = $user['user_info'];
      break;
    }
  }
}
?>




<!-- all_users.json -->












<!DOCTYPE html>
<html lang="ar" dir="rtl">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- عنصر <base> يحدد العنوان الأساسي لجميع الروابط -->
  <!-- <base href="https://jordanmall.online/"> -->
  <link rel="apple-touch-icon" sizes="76x76" href="../assets2mall/img/favicon.png">
  <link rel="icon" type="image/png" href="../assets2mall/img/favicon.png">
  <title>
    profile
  </title>
  <!--     Fonts and icons     -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
  <!-- mall Icons -->
  <link href="../assets2mall/css/mall-icons.css" rel="stylesheet" />
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- Font Awesome Icons -->
  <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- CSS Files  ?v=2.0.4 (أو إصدار التحديث) -->
  <link id="pagestyle" href="../assets2mall/css/mall.css?v=2.0.4" rel="stylesheet" />
</head>
<!-- استخدم لودر من فونت أوسوم -->
<style>
  .loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }

  .loader {
    font-family: 'FontAwesome';
    /* استخدم الخطوط من فونت أوسوم */
    font-size: 50px;
    /* حدد حجم الخط حسب الحاجة */
    color: #3498db;
    /* لون اللودر */
    animation: spin 1s linear infinite;
  }

  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }

    100% {
      transform: rotate(360deg);
    }
  }
</style>
<script>
  // انتظر قليلاً ثم قم بإخفاء اللودر
  setTimeout(function() {
    var loaderContainer = document.getElementById('loader-container');
    loaderContainer.style.display = 'none';
  }, 1000); // يمكنك تعديل الرقم 2000 وفقًا للوقت الذي تريد فيه إخفاء اللودر بعد تحميل الصفحة
</script>

<body class="g-sidenav-show rtl  bg-gray-100">



  <!-- اللودر سيظهر هنا أثناء تحميل الصفحة -->
  <div class="loader-container" id="loader-container">
    <div class="loader">&#xf110;</div> <!-- رمز اللودر من فونت أوسوم -->
  </div>



  <?php
  // عرض بيانات المستخدم إذا تم العثور عليه
  // activate_account
  // verified_account
  // Total_publications
  // rating
  // register_date
  //
  //
  if (isset($userData)) {
  ?>



  <?php
  } else {
    // تحويل المستخدم إلى الصفحة الرئيسية إذا لم يكن مسجل الدخول
    header('Location: ../00404');
    exit();
  }
  ?>


  <form method="post" enctype="multipart/form-data"> <!-- required -->
    <div class="min-height-300 bg-primary position-absolute w-100"></div>


    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="getdatajson.js"></script>



    <?php
    // Include the aside.php file
    include '../pages/aside-profile.php';
    ?>




    <main class="main-content position-relative border-radius-lg overflow-hidden">






      <?php
      // Include the Navbar-top.php file
      include '../pages/Navbar-top.php';
      ?>

      <!-- 100 -->


      <div class="container-fluid py-6">

        <!-- back arrow-left -->
        <!-- <div class="d-flex flex-column h-100 justify-content-end align-items-end">
          <a class="text-dark font-weight-bold ps-1 mb-0 icon-move-left mt-auto" href="#" onclick="goBack()">
            <i class="fas fa-arrow-left fa-2x" aria-hidden="true"></i>
          </a>
        </div>

        <script>
          function goBack() {
            window.history.back();
          }
        </script> -->
        <!-- back arrow-left -->

        <!-- <div class="container-fluid py-4">
          <div class="row"> -->
        <div class="container-fluid py-4">
          <div class="row">






            <!-- 1 photo -->

            <div class="col-md-4" style=" padding-top: 20px;">






              <div class="card card-profile" style="position: relative; display: inline-block;">
                <?php echo '<img src="../users/' . $phone_number . '/profile_image/' . $user_data['profile_image'] . '" alt="Profile Image" class="card-img-top">'; ?>
                <span class="font-weight-light" style="font-size: 6px; color: #000; position: absolute; top: 10px; right: 15px; opacity: 0.8; font-family: 'Cairo', sans-serif; font-weight: 300;">حساب موثق
                  <i class="fas fa-check-circle" style="font-size: 6px; color: #000; opacity: 0.8;"></i>
                </span>






                <div class="row justify-content-center" style=" text-align: center; margin-top: -10px">
                  <div class="mt-n4 mt-lg-n6 mb-4 mb-lg-0 rotate-animation">
                    <?php
                    // عرض صورة الملف الشخصي باستخدام بيانات المستخدم
                    echo '<img class="mt-n4img" src="../users/' . $phone_number . '/profile_image/' . $user_data['profile_image'] . '" alt="Profile2 Image" >';
                    ?>

                    <style>
                      /* تصميم الصورة الشخصية */
                      .mt-n4img {
                        background-size: cover;
                        background-position: center center;

                        color: white;
                        height: 120px;
                        width: 120px;
                        padding: 0px;
                        border: 5px solid #fff;
                        border-radius: 50%;
                        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7);
                        animation: fadeEffect 5s infinite alternate;

                      }

                      @keyframes fadeEffect {
                        0% {
                          opacity: 1;
                        }

                        50% {
                          opacity: 0.5;
                        }

                        100% {
                          opacity: 1;
                        }
                      }

                      /* تعريف الأنيميشن */
                      @keyframes rotate {
                        0% {
                          transform: rotate(0deg);
                        }

                        50% {
                          transform: rotate(5deg);
                        }

                        100% {
                          transform: rotate(10deg);
                        }
                      }

                      /* تطبيق الأنيميشن على الديف */
                      /* .rotate-animation {
                        animation: rotate 2s infinite linear alternate;
                      } */
                    </style>
                  </div>
                </div>





                <div class="card-header text-center border-0 pt-0 pt-lg-2 pb-4 pb-lg-3">
                  <div class="d-flex justify-content-between">
                    <a href="tel:<?php echo isset($user_data['phone_number']) ? htmlspecialchars($user_data['phone_number'], ENT_QUOTES, 'UTF-8') : ''; ?>" class="btn btn-sm btn-info mb-0 d-none d-lg-block">إتصال</a>
                    <a href="tel:<?php echo isset($user_data['phone_number']) ? htmlspecialchars($user_data['phone_number'], ENT_QUOTES, 'UTF-8') : ''; ?>" class="btn btn-sm btn-info mb-0 d-block d-lg-none"><i class="fas fa-phone"></i></a>
                    <a href="https://api.whatsapp.com/send?phone=<?php echo isset($user_data['sms']) ? htmlspecialchars($user_data['sms'], ENT_QUOTES, 'UTF-8') : ''; ?>&amp;text=jordanmall.online لقد شاهدت هذا الإعلان على " class="btn btn-sm btn-dark float-right mb-0 d-none d-lg-block">واتساب</a>
                    <a href="https://api.whatsapp.com/send?phone=<?php echo isset($user_data['sms']) ? htmlspecialchars($user_data['sms'], ENT_QUOTES, 'UTF-8') : ''; ?>&amp;text=jordanmall.online لقد شاهدت هذا الإعلان على " class="btn btn-sm btn-dark float-right mb-0 d-block d-lg-none"><i class="fas fa-sms"></i></a>
                  </div>
                </div>







                <div class="card-body pt-0">
                  <div class="row">
                    <div class="col">
                      <div class="d-flex justify-content-center">
                        <div class="d-grid text-center">

                          <span class="text-sm font-weight-bolder"> <?php echo isset($userData['times_show']) ? $userData['times_show'] : 0; ?></span>
                          <span class="text-sm opacity-8">الوصول</span>
                        </div>
                        <div class="d-grid text-center mx-4">
                          <span class="text-sm font-weight-bolder"> <?php echo isset($userData['views']) ? $userData['views'] : 0; ?></span>
                          <span class="text-sm opacity-8">مشاهدات</span>
                        </div>
                        <div class="d-grid text-center">
                          <span class="text-sm font-weight-bolder"> <?php echo isset($userData['Likes']) ? $userData['Likes'] : 0; ?></span>
                          <span class="text-sm opacity-8">الإعجابات</span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="text-center mt-4">
                    <h1 style="font-size: 14px;">
                      <?php echo $userData['full_name']; ?>

                      <i class="fas fa-check-circle" style="font-size: 16px; color: #2c87d9;"></i>
                    </h1>
                    <div class="h6 font-weight-300">
                      <h3 style="font-size: 9px;">

                        <?php echo isset($userData['bio']) ? $userData['bio'] : 'bio'; ?>

                      </h3>
                    </div>

                  </div>



                  <div style="font-size: 12px; text-align: center;">
                    <i class="ni education_hat mr-2"></i>


                    <?php echo isset($userData['more']) ? $userData['more'] : 'more'; ?>


                  </div>




                </div>
              </div>
            </div>






          </div>
          <!-- row -->

















          <!-- img -->
          <div class="col-md-12" style=" padding-top: 20px;">



            <div class="card">



              <div class="card-body" style=" text-align: center; margin-top: 0px">
                <p class="text-uppercase text-sm ">تحديث صورة الملف الشخصي</p>
                <div class="row">








                  <!--  -->


                  <div class="col-md-12" style="text-align: center; margin-top: 0px">
                    <div class="row justify-content-center" style="text-align: center; margin-top: 45px;">
                      <div class="mt-n4 mt-lg-n6 mb-4 mb-lg-0 rotate-animation" style="text-align: center; margin-top: 10px;">
                        <?php
                        // عرض صورة الملف الشخصي باستخدام بيانات المستخدم
                        echo '<label  style="text-align: center; margin-top: 15px;">';
                        echo '<img class="mt-n4img" src="../users/' . $phone_number . '/profile_image/' . $user_data['profile_image'] . '" alt="Profile2 Image" id="profile-image">';
                        echo '</label>';
                        ?>
                        <input style="display: none;" type="file" name="profile_image" id="profile-image-input" class="form-control">
                      </div>
                    </div>
                    <button type="submit" class="outline " style="text-align: center; margin-top: 15px;">تحديث الصورة</button>
                  </div>

                  <style>
                    #profile-image:hover {
                      cursor: pointer;
                    }
                  </style>

                  <script>
                    window.onload = function() {
                      document.getElementById('profile-image').addEventListener('click', function() {
                        document.getElementById('profile-image-input').click();
                      });

                      document.getElementById('profile-image-input').addEventListener('change', function(e) {
                        var reader = new FileReader();
                        reader.onload = function(e) {
                          document.getElementById('profile-image').src = e.target.result;
                        };
                        reader.readAsDataURL(this.files[0]);
                      });
                    };
                  </script>




                  <!--  -->








                </div>
              </div>
            </div>


          </div>
          <!-- img-->










          <!-- 6 -->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline">تحديث المعلومات</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">معلومات المستخدم</p>
                <div class="row">



                  <!--  -->



                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="full_name" class="form-control-label">الإسم الكامل </label>
                      <input class="form-control" type="text" name="full_name" value="<?php echo isset($user_data['full_name']) ? htmlspecialchars($user_data['full_name'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="500" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="bio" class="form-control-label">السيرة الذاتية</label>
                      <input class="form-control" type="text" name="bio" value="<?php echo isset($user_data['bio']) ? htmlspecialchars($user_data['bio'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="500" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 6 -->










          <!-- 2 8-->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline">تحديث المعلومات</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">وسائل التواصل | الإتصال</p>
                <div class="row">



                  <!--  -->


                  <div class="col-md-4">
                    <div class="form-group">
                      <label for="phone_number" class="form-control-label">رقم الهاتف</label>
                      <div class="form-control" style="color: #999;"> <!-- يمكنك استبدال #666 بلون آخر حسب تفضيلك -->
                        <?php echo isset($user_data['phone_number']) ? htmlspecialchars($user_data['phone_number'], ENT_QUOTES, 'UTF-8') : ''; ?>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                      <label for="activate_number" class="form-control-label">activate_number</label>
                      <input class="form-control" type="text" name="activate_number" inputmode="numeric" value="<?php echo isset($user_data['activate_number']) ? htmlspecialchars($user_data['activate_number'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="4" placeholder="**** PIN">
                    </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                      <label for="sms" class="form-control-label">رقم الرسائل النصية</label>
                      <input class="form-control" type="text" name="sms" value="<?php echo isset($user_data['sms']) ? htmlspecialchars($user_data['sms'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="12" placeholder="962xxxxxxxxx">
                    </div>
                  </div>


                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="facebook" class="form-control-label">facebook</label>
                      <input class="form-control" type="text" name="facebook" value="<?php echo isset($user_data['facebook']) ? htmlspecialchars($user_data['facebook'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="websit" class="form-control-label">websit</label>
                      <input class="form-control" type="text" name="websit" value="<?php echo isset($user_data['websit']) ? htmlspecialchars($user_data['websit'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="map" class="form-control-label">map</label>
                      <input class="form-control" type="text" name="map" value="<?php echo isset($user_data['map']) ? htmlspecialchars($user_data['map'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="whatsapp" class="form-control-label">whatsapp</label>
                      <input class="form-control" type="text" name="whatsapp" value="<?php echo isset($user_data['whatsapp']) ? htmlspecialchars($user_data['whatsapp'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>





                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 2 8-->
          <!-- 3 -->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline">تحديث المعلومات</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">وسائل التواصل | الإتصال</p>
                <div class="row">



                  <!--  -->






                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="tiktok" class="form-control-label">tiktok</label>
                      <input class="form-control" type="text" name="tiktok" value="<?php echo isset($user_data['tiktok']) ? htmlspecialchars($user_data['tiktok'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>



                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="snapchat" class="form-control-label">snapchat</label>
                      <input class="form-control" type="text" name="snapchat" value="<?php echo isset($user_data['snapchat']) ? htmlspecialchars($user_data['snapchat'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="twitter" class="form-control-label">twitter</label>
                      <input class="form-control" type="text" name="twitter" value="<?php echo isset($user_data['twitter']) ? htmlspecialchars($user_data['twitter'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>






                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 3 -->

          <!-- 4 -->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline">تحديث المعلومات</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">وسائل التواصل | الإتصال</p>
                <div class="row">



                  <!--  -->





                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="youtube" class="form-control-label">youtube</label>
                      <input class="form-control" type="text" name="youtube" value="<?php echo isset($user_data['youtube']) ? htmlspecialchars($user_data['youtube'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="instagram" class="form-control-label">instagram</label>
                      <input class="form-control" type="text" name="instagram" value="<?php echo isset($user_data['instagram']) ? htmlspecialchars($user_data['instagram'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="opensooq" class="form-control-label">opensooq</label>
                      <input class="form-control" type="text" name="opensooq" value="<?php echo isset($user_data['opensooq']) ? htmlspecialchars($user_data['opensooq'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="LinkedIn" class="form-control-label">LinkedIn</label>
                      <input class="form-control" type="text" name="LinkedIn" value="<?php echo isset($user_data['LinkedIn']) ? htmlspecialchars($user_data['LinkedIn'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="Messenger" class="form-control-label">Messenger</label>
                      <input class="form-control" type="text" name="Messenger" value="<?php echo isset($user_data['Messenger']) ? htmlspecialchars($user_data['Messenger'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="Telegram" class="form-control-label">Telegram</label>
                      <input class="form-control" type="text" name="Telegram" value="<?php echo isset($user_data['Telegram']) ? htmlspecialchars($user_data['Telegram'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="50" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 50.</small>
                    </div>
                  </div>



                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 4 -->

          <!-- 5 -->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline">تحديث المعلومات</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">معلومات الصفحة العامة | لمحركات البحث</p>
                <div class="row">



                  <!--  -->











                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="keywords_page" class="form-control-label">الكلمات المفتاحية | مهم لتصدر محركات البحث</label>
                      <textarea rows="4" cols="50" placeholder="  اختر الكلمات المفتاحية المناسبة لك لمحرك البحث جوجل بفقرة واحدة وافصل بينهم بفاصلة " class="form-control" name="keywords_page" maxlength="500"><?php echo isset($user_data['keywords_page']) ? htmlspecialchars($user_data['keywords_page'], ENT_QUOTES, 'UTF-8') : ''; ?></textarea>

                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 500.</small>
                    </div>
                  </div>




                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="title_page" class="form-control-label">وصف الصفحة | قصير</label>
                      <input class="form-control" type="text" name="title_page" value="<?php echo isset($user_data['title_page']) ? htmlspecialchars($user_data['title_page'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="70" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 70.</small>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label for="description_page" class="form-control-label">وصف الصفحة | طويل</label>
                      <input class="form-control" type="text" name="description_page" value="<?php echo isset($user_data['description_page']) ? htmlspecialchars($user_data['description_page'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="210" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 210.</small>
                    </div>
                  </div>






                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 5 -->



          <!-- 7 -->
          <div class="col-md-12" style=" padding-top: 20px;">


            <div class="card">
              <div class="card-header pb-0">
                <div class="d-flex align-items-center">

                  <button type="submit" class="outline green-white">إرسال</button>
                </div>
              </div>


              <div class="card-body">
                <p class="text-uppercase text-sm">ارسل ملاحظات | لنا</p>
                <div class="row">



                  <!--  -->


                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="Report_abuse" class="form-control-label">اكتب ملاحظة | إستفسار</label>
                      <input class="form-control" type="text" name="Report_abuse" value="<?php echo isset($user_data['Report_abuse']) ? htmlspecialchars($user_data['Report_abuse'], ENT_QUOTES, 'UTF-8') : ''; ?>" maxlength="500" class="form-control">
                      <small class="form-text text-muted" style="font-size: 8px;">الحد الأقصى لعدد الأحرف هو 500.</small>
                    </div>
                  </div>

                  <!--  -->





                  <hr class="horizontal dark">

                </div>
              </div>
            </div>


          </div>
          <!-- 7 -->





        </div>
      </div>
      <!-- <div class="container-fluid py-4">
          <div class="row"> -->





      <!-- 100 -->

      <?php
      // Include the footer.php file
      include '../pages/footer.php';
      ?>

      </div>




    </main>


    <!-- top -->
    <div class="fixed-plugin">


      <style>
        .fixed-plugin-button {
          transition: transform 0.93s ease-out, opacity 0.93s ease-out;
        }

        .rotate-down {
          transform: rotate(360deg) scale(0.1) translateY(0px);
        }

        .rotate-up {
          transform: rotate(0deg) scale(0.1) translateY(0);
        }
      </style>

      <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

      <script>
        $(document).ready(function() {
          var scrollPos = 0;

          $(window).scroll(function() {
            var currentScrollPos = $(this).scrollTop();
            if (currentScrollPos > scrollPos) {
              // التمرير للأسفل
              $('.fixed-plugin-button').addClass('rotate-down').fadeOut();
            } else {
              // التمرير للأعلى
              $('.fixed-plugin-button').removeClass('rotate-down').fadeIn().removeClass('rotate-up');
            }
            scrollPos = currentScrollPos;
          });
        });
      </script>

      <a class="fixed-plugin-button text-dark position-fixed px-3 py-2">
        <i class="fa fa-plus py-0"> </i>
      </a>
      <div class="card shadow-lg">
        <div class="card-header pb-0 pt-3 ">
          <div class="float-end">
            <h5 class="mt-3 mb-0">المزيد من جوردان مول</h5>
            <p>jordan mall</p>

          </div>
          <div class="float-start mt-4">
            <button class="btn btn-link text-dark p-0 fixed-plugin-close-button">
              <i class="fa fa-close"></i>
            </button>
          </div>
          <!-- End Toggle Button -->
        </div>
        <hr class="horizontal dark my-3">



        <a class="btn bg-gradient-dark w-100" href="#">اضافة منتج</a>








        <a class="btn btn-outline-dark w-100" href="#">اضافة إعلان مبوب</a>

        200





        <!-- <iframe> مع خاصية الساندبوكس وتعديل لاستغلال كامل الشاشة -->
        <!-- <iframe sandbox="allow-same-origin allow-scripts allow-forms allow-popups allow-popups-to-escape-sandbox allow-storage-access-by-user-activation allow-top-navigation-by-user-activation" src="signin" style="width: 100%; height: 100vh; border: none; ">
  </iframe> -->
        <div class="container">
          <button type="submit" class="outline">Button</button>
          <button type="submit" class="outline white-blue">Button</button>
          <button type="submit" class="outline green-white">Button</button>
          <button type="submit" class="outline white-green">Button</button>
          <button type="submit" class="outline purple-white">Button</button>
          <button type="submit" class="outline white-purple">Button</button>
        </div>

        200


        <style>

        </style>

        <script>


        </script>










        200
      </div>

    </div>
    </div>
    <!-- top -->



  </form>

  <!--   Core JS Files   -->
  <script src="../assets2mall/js/core/popper.min.js"></script>
  <script src="../assets2mall/js/core/bootstrap.min.js"></script>
  <script src="../assets2mall/js/plugins/perfect-scrollbar.min.js"></script>
  <script src="../assets2mall/js/plugins/smooth-scrollbar.min.js"></script>
  <script src="../assets2mall/js/plugins/chartjs.min.js"></script>

  <script>
    var win = navigator.platform.indexOf('Win') > -1;
    if (win && document.querySelector('#sidenav-scrollbar')) {
      var options = {
        damping: '0.5'
      }
      Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
    }
  </script>
  <!-- Github buttons -->
  <script async defer src="../assets2mall/js/buttons.js"></script>
  <!-- ?v=2.0.4 Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="../assets2mall/js/mall.min.js?v=2.0.4"></script>




</body>

</html>