<?php
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  $phone_number = $_POST['phone_number'];
  $password = $_POST['password'];

  $user_folder = '../users/' . $phone_number;
  $user_file_path = $user_folder . '/user.json';

  // التحقق من وجود المستخدم وقراءة معلوماته من الملف
  if (file_exists($user_file_path)) {
    $user_data = json_decode(file_get_contents($user_file_path), true);

    // التحقق من مطابقة الرقم السري
    if (password_verify($password, $user_data['password'])) {
      $_SESSION['phone_number'] = $phone_number;
      header("Location: ../profile");
      exit();
    } else {
      echo "بيانات الدخول غير صحيحة!";
    }
  } else {
    echo "هذا المستخدم غير موجود!";
  }
}
?>


<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="apple-touch-icon" sizes="76x76" href="../assets2mall/img/apple-icon.png">
  <link rel="icon" type="image/png" href="../assets2mall/img/favicon.png">
  <title>
    جوردان مول | تسجيل الدخول
  </title>
  <!--     Fonts and icons     -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
  <!-- Nucleo Icons -->
  <link href="../assets2mall/css/mall-icons.css" rel="stylesheet" />
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- Font Awesome Icons -->
  <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- CSS Files -->
  <link id="pagestyle" href="../assets2mall/css/mall.css?v=2.0.4" rel="stylesheet" />

  <!-- <meta> لخصائص عرض الصفحة -->
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0, viewport-fit=cover">
  <!-- قاعدة CSS لإخفاء شريط التمرير -->
  <!-- <style>
       html, body {
           overflow: hidden;
           margin: 0;
           padding: 0;
       }
   </style>  -->

</head>

<body class="">
  <div class="container position-sticky z-index-sticky top-0">
    <div class="row">
      <div class="col-12">
        <!-- Navbar -->
        <!-- <nav class="navbar navbar-expand-lg blur border-radius-lg top-0 z-index-3 shadow position-absolute mt-4 py-2 start-0 end-0 mx-4">
          <div class="container-fluid">
            <a class="navbar-brand font-weight-bolder ms-lg-0 ms-3 " href="../pages/dashboard.html">
              Argon Dashboard 11111
            </a>
            <button class="navbar-toggler shadow-none ms-2" type="button" data-bs-toggle="collapse" data-bs-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon mt-2">
                <span class="navbar-toggler-bar bar1"></span>
                <span class="navbar-toggler-bar bar2"></span>
                <span class="navbar-toggler-bar bar3"></span>
              </span>
            </button>
            <div class="collapse navbar-collapse" id="navigation">
              <ul class="navbar-nav mx-auto">
                <li class="nav-item">
                  <a class="nav-link d-flex align-items-center me-2 active" aria-current="page" href="../pages/dashboard.html">
                    <i class="fa fa-chart-pie opacity-6 text-dark me-1"></i>
                    Dashboard
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link me-2" href="../pages/profile.html">
                    <i class="fa fa-user opacity-6 text-dark me-1"></i>
                    Profile
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link me-2" href="sign-up.html">
                    <i class="fas fa-user-circle opacity-6 text-dark me-1"></i>
                    Sign Up
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link me-2" href="sign-in.html">
                    <i class="fas fa-key opacity-6 text-dark me-1"></i>
                    Sign In
                  </a>
                </li>
              </ul>
              <ul class="navbar-nav d-lg-block d-none">
                <li class="nav-item">
                  <a href="https://www.creative-tim.com/product/argon-dashboard" class="btn btn-sm mb-0 me-1 btn-primary">Free Download</a>
                </li>
              </ul>
            </div>
          </div>
        </nav> -->
        <!-- End Navbar -->
      </div>
    </div>
  </div>
  <main class="main-content  mt-0">
    <section>
      <div class="page-header min-vh-100">
        <div class="container">
          <div class="row">
            <div class="col-xl-4 col-lg-5 col-md-7 d-flex flex-column mx-lg-0 mx-auto">
              <div class="card card-plain">
                <div class="card-header pb-0 text-start">
                  <h4 class="font-weight-bolder">تسجيل الدخول</h4>
                  <p class="mb-0">Enter phone and password to sign in</p>
                </div>
                <div class="card-body">
                  <form method="post" action="" role="form">


                    <div class="mb-3">

                      <input type="text" class="form-control form-control-lg" id="phone_number" placeholder="079XXXXXXX" name="phone_number" required>
                    </div>


                    <div class="mb-3">

                      <input type="password" class="form-control form-control-lg" id="password" placeholder="Password" name="password" required>
                    </div>

                    <div class="text-center">



                      <button type="submit" id="sign-up-button" tabindex="0" class="btn btn-lg btn-primary btn-lg w-100 mt-4 mb-0">تسجيل الدخول</button>
                    </div>


                  </form>
                </div>
                <div class="card-footer text-center pt-0 px-lg-2 px-1">
                  <p class="mb-4 text-sm mx-auto">
                    66 Don't have an account?
                    <a href="../signup" class="text-primary text-gradient font-weight-bold">Sign up</a>
                  </p>

                </div>
              </div>
            </div>
            <div class="col-6 d-lg-flex d-none h-100 my-auto pe-0 position-absolute top-0 end-0 text-center justify-content-center flex-column">
              <div class="position-relative bg-gradient-primary h-100 m-3 px-7 border-radius-lg d-flex flex-column justify-content-center overflow-hidden" style="background-image: url('https://raw.githubusercontent.com/creativetimofficial/public-assets2mall/master/argon-dashboard-pro/assets2mall/img/signin-ill.jpg');
          background-size: cover;">
                <span class="mask bg-gradient-primary opacity-6"></span>
                <h4 class="mt-5 text-white font-weight-bolder position-relative">"Attention is the new currency"</h4>
                <p class="text-white position-relative">The more effortless the writing looks, the more effort the writer actually put into the process.</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </main>
  <!--   Core JS Files   -->
  <script src="../assets2mall/js/core/popper.min.js"></script>
  <script src="../assets2mall/js/core/bootstrap.min.js"></script>
  <script src="../assets2mall/js/plugins/perfect-scrollbar.min.js"></script>
  <script src="../assets2mall/js/plugins/smooth-scrollbar.min.js"></script>
  <script>
    var win = navigator.platform.indexOf('Win') > -1;
    if (win && document.querySelector('#sidenav-scrollbar')) {
      var options = {
        damping: '0.5'
      }
      Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
    }
  </script>
  <!-- Github buttons -->
  <script async defer src="https://buttons.github.io/buttons.js"></script>
  <!-- Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="../assets2mall/js/mall.min.js?v=2.0.4"></script>
</body>

</html>