<!-- register.php -->


<?php
function is_valid_invitation_code($invitation_code)
{
  $invitations_file = 'json/invitations.json';
  if (file_exists($invitations_file)) {
    $invitations_data = json_decode(file_get_contents($invitations_file), true);
    return in_array($invitation_code, $invitations_data['invitation_codes']);
  }
  return false;
}

// إذا قام المستخدم بتقديم النموذج
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  // قم بالتحقق من صحة كود الدعوة من ملف invitations.json
  $invitation_code = $_POST['invitation_code'];
  if (!is_valid_invitation_code($invitation_code)) {
    echo "كود الدعوة غير صحيح!";
    exit();
  }

  // قم بتحديد المتغيرات من النموذج
  $phone_number = $_POST['phone_number'];
  $user_name = $_POST['user_name'];
  $password = $_POST['password'];

  // قم بتشفير كلمة المرور
  $hashed_password = password_hash($password, PASSWORD_DEFAULT);

  // قم بإنشاء مجلد للمستخدم
  $user_folder = '../users/' . $phone_number;
  if (!file_exists($user_folder)) {
    mkdir($user_folder);

    // إضافة المجلدات والملفات المطلوبة داخل مجلد المستخدم
    // mkdir($user_folder . '/nft_img');
    // mkdir($user_folder . '/product_img');
    // mkdir($user_folder . '/selfi_img');
    // mkdir($user_folder . '/split_img');
    mkdir($user_folder . '/profile_image');
    file_put_contents($user_folder . '/profile_image' . '/index.php', 'back hoMe'); // سيتم ملأه لاحقًا haz
    // إضافة الملفات المطلوبة داخل مجلد المستخدم
    // file_put_contents($user_folder . '/nft.json', '');
    // file_put_contents($user_folder . '/product.json', '');
    // file_put_contents($user_folder . '/selfi.json', '');
    // file_put_contents($user_folder . '/split.json', '');
    file_put_contents($user_folder . '/user.json', ''); // سيتم ملأه لاحقًا 
    // file_put_contents($user_folder . '/wallet.json', '');
    file_put_contents($user_folder . '/index.php', 'back hoMe'); // سيتم ملأه لاحقًا haz



    // مسار الملف الجديد مع اسم المجلد "p" والرجوع مرتين للخلف واستخدام قيمة $user_name
    // $new_file_path = $user_folder . "/../../p/$user_name.php";


    // ...

    // قم بإنشاء مجلد للمستخدم باسم $user_name
    $user_folder_user_name = $user_folder . "/../../p/$user_name";
    if (!file_exists($user_folder_user_name)) {
      mkdir($user_folder_user_name);

      // قراءة محتوى الملف الموجود (existing_content.php)
      $existing_content = file_get_contents('existing_content.php');

      // إنشاء ملف index.php داخل المجلد الجديد ونسخ محتوى existing_content.php إليه
      file_put_contents($user_folder_user_name . "/index.php", $existing_content);
    }

    // ...

  }

  // قم بإنشاء ملف JSON للمستخدم
  $user_data = array(
    'phone_number' => $phone_number,
    'invitation_codes' => ($invitation_code), //  array قم بتخزين كود الدعوة في مصفوفة
    'user_name' => $user_name,
    'password' => $hashed_password,
    'profile_image' => '1200x1200.png',
    'bio' => 'bio',


  );




  // قم بنسخ صورة افتراضية إلى المجلد الذي يحمل اسم المستخدم
  copy('1200x1200.png', $user_folder . '/profile_image' . '/1200x1200.png');

  // تحويل المصفوفة إلى JSON بتنسيق سهل القراءة ودعم اللغة العربية
  $user_data_json = json_encode($user_data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  // حفظ المعلومات المحدثة في ملف JSON
  file_put_contents('../users/' . $phone_number . '/user.json', $user_data_json);

  // قم بتوجيه المستخدم إلى صفحة تسجيل الدخول بعد إنشاء الحساب بنجاح
  header("Location: ../signin");
  exit();
}
?>



<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="apple-touch-icon" sizes="76x76" href="../assets2mall/img/apple-icon.png">
  <link rel="icon" type="image/png" href="../assets2mall/img/favicon.png">
  <title>22 جوردان مول | إشتراك </title>
  <!--     Fonts and icons     -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
  <!-- Nucleo Icons -->
  <link href="../assets2mall/css/mall-icons.css" rel="stylesheet" />
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- Font Awesome Icons -->
  <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
  <link href="../assets2mall/css/mall-svg.css" rel="stylesheet" />
  <!-- CSS Files -->
  <link id="pagestyle" href="../assets2mall/css/mall.css?v=2.0.4" rel="stylesheet" />
</head>

<body class="">

  <main class="main-content  mt-0">
    <div class="page-header align-items-start min-vh-50 pt-5 pb-11 m-3 border-radius-lg" style="background-image: url('https://via.placeholder.com/1200x400'); background-position: top;">
      <span class="mask bg-gradient-dark opacity-6"></span>
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-lg-5 text-center mx-auto">
            <h1 class="text-dark mb-2 mt-5">Welcome!</h1>
            <p class="text-lead text-dark">Use these awesome forms to login or create new account in your project for free.</p>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="row mt-lg-n10 mt-md-n11 mt-n10 justify-content-center">
        <div class="col-xl-4 col-lg-5 col-md-7 mx-auto">
          <div class="card z-index-0">
            <div class="card-header text-center pt-4">
              <h5>Register with</h5>
            </div>

            <div class="card-body">


              <form method="post" role="form">


                <div class="mb-3">
                  <input type="text" id="invitation_code" name="invitation_code" class="form-control" placeholder="ex : 1234" required>
                </div>


                <div class="mb-3">
                  <input type="text" id="phone_number" name="phone_number" class="form-control" placeholder="079XXXXXXX" required>
                </div>




                <div class="mb-3">
                  <input type="text" id="user_name" name="user_name" class="form-control" placeholder="user name" required>
                </div>


                <div class="mb-3">
                  <input type="text" id="password" name="password" class="form-control" placeholder="password" required>
                </div>








                <div class="form-check form-check-info text-start">
                  <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" checked>
                  <label class="form-check-label" for="flexCheckDefault">
                    I agree the <a href="##" class="text-dark font-weight-bolder">Terms and Conditions</a>
                  </label>
                </div>
                <div class="text-center">


                  <button type="submit" id="sign-up-button" tabindex="0" class="btn bg-gradient-dark w-100 my-4 mb-2">تسجيل الدخول</button>
                </div>
                <p class="text-sm mt-3 mb-0">Already have an account? <a href="../signin" class="text-dark font-weight-bolder">إشتراك</a></p>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
  <!-- -------- START FOOTER 3 w/ COMPANY DESCRIPTION WITH LINKS & SOCIAL ICONS & COPYRIGHT ------- -->

  <!-- -------- END FOOTER 3 w/ COMPANY DESCRIPTION WITH LINKS & SOCIAL ICONS & COPYRIGHT ------- -->
  <!--   Core JS Files   -->
  <script src="../assets2mall/js/core/popper.min.js"></script>
  <script src="../assets2mall/js/core/bootstrap.min.js"></script>
  <script src="../assets2mall/js/plugins/perfect-scrollbar.min.js"></script>
  <script src="../assets2mall/js/plugins/smooth-scrollbar.min.js"></script>
  <script>
    var win = navigator.platform.indexOf('Win') > -1;
    if (win && document.querySelector('#sidenav-scrollbar')) {
      var options = {
        damping: '0.5'
      }
      Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
    }
  </script>
  <!-- Github buttons -->
  <script async defer src="https://buttons.github.io/buttons.js"></script>
  <!-- Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="../assets2mall/js/mall.min.js?v=2.0.4"></script>
</body>

</html>